curl -X DELETE https://zeplo.ai/api/templates/1 \
-H "Cookie: connect.sid=s%3A7HImZ-T2BxWSbUsf9dtWdOlBW4rVuORO.5J0Do0NyvBu%2BkTvu1aHvtNs00BKhkpUKTwiokLS0cpw"
{
"success": true,
"message": "Template deleted successfully"
}
Templates
DELETE Delete Template
Delete a WhatsApp message template.
DELETE
/
api
/
templates
/
:id
curl -X DELETE https://zeplo.ai/api/templates/1 \
-H "Cookie: connect.sid=s%3A7HImZ-T2BxWSbUsf9dtWdOlBW4rVuORO.5J0Do0NyvBu%2BkTvu1aHvtNs00BKhkpUKTwiokLS0cpw"
{
"success": true,
"message": "Template deleted successfully"
}
Delete template
DELETE /api/templates/:id
Delete a template from both the platform and WhatsApp.
Headers
string
required
Session cookie (login via POST /api/auth/login)
Path parameters
integer
required
Template ID.
curl -X DELETE https://zeplo.ai/api/templates/1 \
-H "Cookie: connect.sid=s%3A7HImZ-T2BxWSbUsf9dtWdOlBW4rVuORO.5J0Do0NyvBu%2BkTvu1aHvtNs00BKhkpUKTwiokLS0cpw"
{
"success": true,
"message": "Template deleted successfully"
}
Deleting a template removes it from WhatsApp permanently. Any campaigns using this template will fail.
